const state = {
    currencies: []
}

const getters = {
    getCurrencies(state) {
        return state.currencies
    }
}

const mutations = {
    pushCurrencies(state, payload) {
        state.currencies = payload.currencies
    }
}

const actions = {
    fetchCurrencies({ commit }) {
        let currency = new openerp.web.Model('res.currency')
        currency.query('name', 'display_name').filter([['active', '=', true]]).all().then(response => {
            commit('pushCurrencies', {
                currencies: response
            })
        }).fail(error => {
            console.log(error);
        })
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
